function graph = grlist_to_graph(glist, par)

  num_group = length(glist);
  num_var = -1;
  num_el = 0;
  vals = [];
  for i = 1 : num_group
    num_el = num_el + length(glist{i});
    num_var = max(num_var, max(glist{i}));
%     vals = union(vals, glist{i});
  end

  slist = ones(num_el,1);
  ilist = slist;
  jlist = slist;
  
  idx = 1;
  for i = 1 : num_group
    gr = glist{i};
    len = length(gr);
    new_idx = idx + len - 1;
    ilist(idx:new_idx) = gr;
    jlist(idx:new_idx) = i;
    idx = new_idx + 1;
  end
    
  % V_by_G is #var * #group
  graph.V_by_G = sparse(ilist, jlist, slist, num_var, num_group);
  % G_by_V is #group * #var
  
  graph.G_by_V = graph.V_by_G';  
  graph.groups_var = graph.V_by_G;
  graph.groups = sparse(num_group, num_group); % no inclusion between groups
  graph.eta_g = ones(1, num_group);
      
  % Set up the LP problem if we want to double check the result of polar oracle 
  % by comparing with the LP result
%   if par.polar_par.check_LP
%     
%     % Encode the constraints that w_i <= w_G for all i \in G
%     % The vector is [vertex; group]
%     slist = ones(4*num_var,1);
%     ilist = slist;  jlist = slist;
%     k = 0;
%     cur_row = 0;
%     for i = 1 : row
%       for j = 1 : col
%         v = (j-1)*row+i;
%         
%         % The row group that (i,j) belongs to
%         k = k + 1;
%         cur_row = cur_row + 1;
%         slist(k) = 1; ilist(k) = cur_row;  jlist(k) = v;
%         k = k + 1;
%         slist(k) = -1; ilist(k) = cur_row;  jlist(k) = num_var+i;
%         
%         % The column group that (i,j) belongs to
%         k = k + 1;
%         cur_row = cur_row + 1;
%         slist(k) = 1; ilist(k) = cur_row;  jlist(k) = v;
%         k = k + 1;
%         slist(k) = -1; ilist(k) = cur_row;  jlist(k) = num_var+row+j;
%       end
%     end

%     graph.A = sparse(ilist, jlist, slist, 2*num_var, num_var+num_group);
%     graph.b = zeros(2*num_var, 1);
%     graph.Aeq = [zeros(1, num_var), ones(1, num_group)];
%     graph.beq = 1;
%   end
  
end
