function res = mc_context(data)
  
  res.Xnorm = norm(data.entries);
  res.ctx = struct('A', [], ...
                   'c', [] ...
                  );
  res.update_context = @update_context;
  res.obj_total_correct = @obj_total_correct;

  function [context] = update_context(ctx, U, V, u, v)
    k = size(U, 2);  
    tmp = zeros(k, 1);
    context.A = [ctx.A tmp; tmp' 0];

    for i = 1 : k
      uiuj = U(:,i).*u;
      vivj = V(:,i).*v;
      context.A(i,k+1) = sum(proj_omega_sub(uiuj, vivj, data.jc, data.ir));
      context.A(k+1,i) = context.A(i,k+1);
    end             

    context.A(k+1,k+1) = sum(proj_omega_sub(u.*u, v.*v, data.jc, data.ir));

    context.c = [ctx.c; 
                sum(data.entries.*proj_omega_sub(u, v, data.jc, data.ir))];
  end

             
  function [f, g] = obj_total_correct(weights, loss)
    
    g = loss.ctx.A*weights;
    f = loss.Xnorm^2/2 - weights'*loss.ctx.c + weights'*g/2;
    g = g - loss.ctx.c;
    
    f = f * 2;
    g = g * 2;
  end

end
