% clc

rand('state', 1);   randn('state', 1);
n1 = 5000;
n2 = 5000;
t = 3000;

prob = struct('n1', n1, ...
              'n2', n2, ...
              'alpha', 0.1, ...
              'beta', 10 ...
              );
par.prob = prob;

opt = struct('maxIter', 600, ... % max number of iterations
             'maxFnCall', 1000, ... % max number of calling the function
             'relCha', 1e-5, ...	 % tolerance of constraint satisfaction
             'tolPG', 1e-5, ... % final objective function accuracy parameter
             'm', 40 ...
             );
par.polar_par.lbfgs_opt = opt;

opt = struct('maxIter', 30,  ... % max number of iterations
             'maxLsIter', 10, ... % max number of line search steps in each iteration
             'maxBdl', 100, ... % max number of bundles to keep
             'maxFnCall', 100, ... % max number of calling the function
             'tolCon', 1e-5, ... % tolerance of constraint satisfaction
             'tolFun', 1e-5, ...   % final objective function accuracy parameter
             'verbose', 0 ...      % print intermediate steps (doesn't seem to work)
             );
par.polar_par.pbm_opt = opt;
par.polar_par.power_max_iter = 1000;
par.polar_par.power_tol_diff = 1e-3;
par.polar_par.power_tol_eig = 1e-3;
par.polar_par.local_tol = 1e-3;
par.polar_par.verbose = 1;

G = randn(n1+n2, t);
G(abs(G) < 0.1) = 0;

x = polar_mv(G, par);
