function script_multiview(par)
   
  gvalue = get_global_value();  
  
  load([gvalue.data_root '/' par.dataset '/' par.dataset '.mat']);  
  
  par.prob_par.m1 = data.m1;
  ori_par = par;
  
  obj = robust_multiview(data, par);
  if isfield(par, 'eval_view')
    eval(['eval_func = @obj.eval_' par.eval_view ';']);
  else
    eval_func = @obj.eval;
  end
  
  X0 = sparse(size(data.X,1), size(data.X,2));
  lambda = str2double(par.lambda_str);
  
  par.ori_par = ori_par;
  if isfield(par, 'k'), extra = sprintf('_k=%d', par.k); else extra = []; end
  par.res_fname = [gvalue.root '/result/multiview/mview_' ...
                   par.dataset '_lam=' par.lambda_str ...
                   '_' par.algo extra '.mat'];
                 
  switch par.algo
    case 'LOB'
      par = get_options(par, init_opts_LOB_mv());
      par.polar_op = @(G)polar_mv(G, par);
      [X_LOB, obj_LOB, res] = solve_LOB_mv(obj, lambda, X0, eval_func, par);
      
    case 'BCD'
      par = get_options(par, init_opts_BCD_mv());
      [X_BCD, obj_BCD, res] = solve_BCD_mv(obj, lambda, X0, eval_func, par);
    
    case 'LS'
      par = get_options(par, init_opts_LS_mv());
      [X_LS, obj_LS, res] = solve_LS_mv(obj, lambda, X0, eval_func, par);
  end
    
end
