function opts = init_opts_DRTR(sz)% Paramters

    d1 = sz(1);
    d2 = sz(2);

    params = [];
    params.tol = 1e-5;
    params.rtol = 1e-3;
    params.vtol = 1e-5;
    params.dg_tol = 1e-3;
    params.dg_vtol = 1e-5;  % relative change in duality gap
    params.smax_tol = 1e-4;
    params.max_iter = 70;
    params.max_iter_tr = 100;
    params.verb = 2;

    model = [];
    model.d1 = d1;  % the DRTR solver, written by 3rd party, needs this info
    model.d2 = d2;
    model.p = 1;
    model.pmax = min(d1,d2);
    model.gamma = 0.5;

    opts = [];
    opts.model = model;
    opts.params = params;
    
    opts.max_time = 3600*3;
    
end
